/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
export interface ITokenInfo {
    /**
     * authorization token domain value
     */
    domain: string;
    /**
     * authorization token expiration date and time
     */
    expiration: string;
    /**
     * authorization token user id value
     */
    userId: string;
    /**
     * authorization token creation date and time
     */
    creation: string;
    expired: boolean;
}
