/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
/**
 * Interface for a job dd
 * Represents the name and details of an output (spool) DD
 * for a z/OS batch job
 * @export
 * @interface GetStatusInfo
 */
export interface GetStatusInfo {
    rseapi_hostname: string;
    zos_version: string;
    rse_version: string;
    rseapi_port: string;
    rseapi_version: string;
    base_path: string;
}
