/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
import * as imperative from '@zowe/imperative';
export declare class AuthLogout {
    static expireToken(session: imperative.Session, profileName: string, profile: imperative.IProfile): Promise<void>;
    static updateProfileFile(profileName: string, profile: imperative.IProfile): Promise<void>;
    /**
     * Get Log
     * @returns {Logger} applicationLogger.
     */
    private static get log();
}
