/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __createBinding=this&&this.__createBinding||(Object.create?function(t,e,s,i){void 0===i&&(i=s);var n=Object.getOwnPropertyDescriptor(e,s);n&&!("get"in n?!e.__esModule:n.writable||n.configurable)||(n={enumerable:!0,get:function(){return e[s]}}),Object.defineProperty(t,i,n)}:function(t,e,s,i){void 0===i&&(i=s),t[i]=e[s]}),__setModuleDefault=this&&this.__setModuleDefault||(Object.create?function(t,e){Object.defineProperty(t,"default",{enumerable:!0,value:e})}:function(t,e){t.default=e}),__importStar=this&&this.__importStar||function(t){if(t&&t.__esModule)return t;var e={};if(null!=t)for(var s in t)"default"!==s&&Object.prototype.hasOwnProperty.call(t,s)&&__createBinding(e,t,s);return __setModuleDefault(e,t),e},__awaiter=this&&this.__awaiter||function(t,e,s,i){return new(s||(s=Promise))((function(n,o){function r(t){try{u(i.next(t))}catch(t){o(t)}}function a(t){try{u(i.throw(t))}catch(t){o(t)}}function u(t){var e;t.done?n(t.value):(e=t.value,e instanceof s?e:new s((function(t){t(e)}))).then(r,a)}u((i=i.apply(t,e||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.HeadApis=void 0;const path=__importStar(require("path")),https=__importStar(require("https")),CoreUtils_1=require("../../utils/CoreUtils"),ZosRestApi_constants_1=require("../../constants/ZosRestApi.constants"),Utilities_1=require("../utilities/Utilities");class HeadApis{static mvsFileHeaders(t,e,s){return __awaiter(this,void 0,void 0,(function*(){let i=(0,CoreUtils_1.endpointBuilder)(t,path.posix.join(ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE,ZosRestApi_constants_1.ZosRestApiConstants.DATASETS));s.volume&&(i=path.posix.join(i,`-(${s.volume})`)),i=path.posix.join(i,(0,CoreUtils_1.rsePathEncode)(e),ZosRestApi_constants_1.ZosRestApiConstants.CONTENT);const n=yield this.headRequest(t,i);return this.response.apiResponse=n,this.response}))}static unixFileHeader(t,e){return __awaiter(this,void 0,void 0,(function*(){const s=(0,CoreUtils_1.endpointBuilder)(t,path.posix.join(ZosRestApi_constants_1.ZosRestApiConstants.RESOURCE,ZosRestApi_constants_1.ZosRestApiConstants.USS_FILES,(0,CoreUtils_1.rsePathEncode)(e))),i=yield this.headRequest(t,s);return this.response.apiResponse=i,this.response}))}static headRequest(t,e){return __awaiter(this,void 0,void 0,(function*(){return yield new Promise(((s,i)=>{const n=[];n.push((0,CoreUtils_1.setRestCommandFullHeaders)(t)),n.push({accept:"application/json"});const o=Utilities_1.Utilities.setRequestOptions(t,e,"HEAD",n);https.request(o,(t=>{s(null==t?void 0:t.headers)})).on("error",(t=>{i(t)})).end()}))}))}}exports.HeadApis=HeadApis,HeadApis.response={success:!0,commandResponse:null,apiResponse:void 0};