/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __awaiter=this&&this.__awaiter||function(e,t,s,n){return new(s||(s=Promise))((function(o,i){function r(e){try{c(n.next(e))}catch(e){i(e)}}function a(e){try{c(n.throw(e))}catch(e){i(e)}}function c(e){var t;e.done?o(e.value):(t=e.value,t instanceof s?t:new s((function(e){e(t)}))).then(r,a)}c((n=n.apply(e,t||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.Rename=void 0;const imperative_1=require("@zowe/imperative"),path_1=require("path"),rest_1=require("../../rest"),constants_1=require("../../constants"),CoreUtils_1=require("../../utils/CoreUtils");class Rename{static uss(e,t,s){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("Rename.uss called.");const n=`/${t}`;let o=(0,CoreUtils_1.endpointBuilder)(e,path_1.posix.join(constants_1.ZosRestApiConstants.RESOURCE,constants_1.ZosRestApiConstants.USS_FILES,(0,CoreUtils_1.rsePathEncode)(n),constants_1.ZosRestApiConstants.RENAME));o+=encodeURIComponent(s),this.log.debug(`Running RSE call ${o}`);const i=(0,CoreUtils_1.setHeaders)(e);try{return{success:!0,commandResponse:null,apiResponse:yield rest_1.RseRestClient.postExpectJSON(e,o,i)}}catch(e){const t=e;throw this.log.error(t.toString()),e}}))}static dataSet(e,t,s){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("Rename.dataSet called.");let n=(0,CoreUtils_1.endpointBuilder)(e,path_1.posix.join(constants_1.ZosRestApiConstants.RESOURCE,constants_1.ZosRestApiConstants.DATASETS,(0,CoreUtils_1.rsePathEncode)(t),constants_1.ZosRestApiConstants.RENAME));n+=encodeURIComponent(s),this.log.debug(`Running RSE call ${n}`);const o=(0,CoreUtils_1.setHeaders)(e);try{return{success:!0,commandResponse:null,apiResponse:yield rest_1.RseRestClient.postExpectJSON(e,n,o)}}catch(e){const t=e;throw t.toString().includes("FORBIDDEN")?(this.log.error(constants_1.ZosFilesMessages.renameForbidden.message),new imperative_1.ImperativeError({msg:constants_1.ZosFilesMessages.renameForbidden.message})):(this.log.error(t.toString()),e)}}))}static get log(){return imperative_1.Logger.getAppLogger()}}exports.Rename=Rename;