/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
/// <reference types="node" />
import { IncomingHttpHeaders } from 'http';
export type StreamResponse = {
    responseHeaders: IncomingHttpHeaders;
    etag: string;
    statusCode: number;
    statusMessage: string;
};
