/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";const Login_definition_1=require("./login/Login.definition"),Logout_definition_1=require("./logout/Logout.definition"),Query_definition_1=require("./query/Query.definition"),RefreshToken_definition_1=require("./refreshToken/RefreshToken.definition"),strings=require("../-strings-/en").default.AUTH,AuthDefinition={name:"auth",summary:strings.SUMMARY,description:strings.DESCRIPTION,type:"group",children:[Login_definition_1.LoginDefinition,RefreshToken_definition_1.RefreshTokenDefinition,Logout_definition_1.LogoutDefinition,Query_definition_1.QueryDefinition]};module.exports=AuthDefinition;