/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __awaiter=this&&this.__awaiter||function(e,t,s,i){return new(s||(s=Promise))((function(n,o){function a(e){try{u(i.next(e))}catch(e){o(e)}}function r(e){try{u(i.throw(e))}catch(e){o(e)}}function u(e){var t;e.done?n(e.value):(t=e.value,t instanceof s?t:new s((function(e){e(t)}))).then(a,r)}u((i=i.apply(e,t||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0});const imperative_1=require("@zowe/imperative"),RestBaseHandler_1=require("../../RestBaseHandler"),Login_1=require("../../../api/methods/auth/login/Login"),ProfileUtils_1=require("../../../api/profiles/ProfileUtils"),ZosApi_messages_1=require("../../../api/constants/ZosApi.messages");class LoginHandler extends RestBaseHandler_1.RestBaseHandler{processWithSession(e,t,s){return __awaiter(this,void 0,void 0,(function*(){const i=yield Login_1.AuthLogin.checkAuthCreds(t,e),n={percentComplete:0,statusMessage:ZosApi_messages_1.ZosApiMessages.jwtTokenGettingToken.message,stageName:imperative_1.TaskStage.IN_PROGRESS};e.response.progress.startBar({task:n});const o=yield ProfileUtils_1.ProfileUtils.getProfileName(e),a=yield Login_1.AuthLogin.getToken(i,o,s,!1),r=yield Login_1.AuthLogin.validateToken(a);return e.response.data.setObj(a),e.response.format.output({output:r,format:"object"}),{success:!0,commandResponse:null,apiResponse:r}}))}}exports.default=LoginHandler;