/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";Object.defineProperty(exports,"__esModule",{value:!0}),exports.PropertiesDefnition=void 0;const strings=require("../../-strings-/en").default.CHANGE.ACTIONS.PROPERTIES;exports.PropertiesDefnition={name:"properties",aliases:["prop"],summary:strings.DESCRIPTION,description:strings.DESCRIPTION,type:"command",handler:__dirname+"/Properties.handler",positionals:[{name:"file",description:strings.POSITIONALS.FILE,type:"string",required:!0}],options:[{name:"owner",aliases:["o"],description:strings.OPTIONS.OWNER,type:"string",required:!1},{name:"group",aliases:["g"],description:strings.OPTIONS.GROUP,type:"string",required:!1},{name:"permissions",aliases:["p"],description:strings.OPTIONS.PERMISSIONS,type:"string",required:!1},{name:"tag",aliases:["t"],description:strings.OPTIONS.TAG,type:"string",required:!1}],examples:[{description:strings.EXAMPLES.EX1,options:"'/u/example/file123.txt' --owner exampleOwner --group exampleGroup --permission rwxrwxrwx --tag utf8"}],profile:{required:["rse"]}};