/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";Object.defineProperty(exports,"__esModule",{value:!0}),exports.JobDefinition=void 0;const Job_options_1=require("./Job.options"),strings=require("../../-strings-/en").default.CHECK.ACTIONS.JOB;exports.JobDefinition={name:"job-address-space",aliases:["jobs"],summary:strings.DESCRIPTION,description:strings.DESCRIPTION,type:"command",handler:__dirname+"/Job.handler",profile:{required:["rse"]},options:[Job_options_1.CheckJobsOptions.asid,Job_options_1.CheckJobsOptions.asidx,Job_options_1.CheckJobsOptions.bytes,Job_options_1.CheckJobsOptions.cpu,Job_options_1.CheckJobsOptions["cpu%"],Job_options_1.CheckJobsOptions.description,Job_options_1.CheckJobsOptions.dp,Job_options_1.CheckJobsOptions.elapsed,Job_options_1.CheckJobsOptions.frames,Job_options_1.CheckJobsOptions.hvcomhwm,Job_options_1.CheckJobsOptions.hvcomused,Job_options_1.CheckJobsOptions.io,Job_options_1.CheckJobsOptions.name,Job_options_1.CheckJobsOptions.page,Job_options_1.CheckJobsOptions.position,Job_options_1.CheckJobsOptions.stepIO,Job_options_1.CheckJobsOptions.subtype,Job_options_1.CheckJobsOptions.swapin,Job_options_1.CheckJobsOptions.sysName,Job_options_1.CheckJobsOptions.task,Job_options_1.CheckJobsOptions["task%"],Job_options_1.CheckJobsOptions.type,Job_options_1.CheckJobsOptions.userId],examples:[{description:strings.EXAMPLES.EX1,options:"--asid --dp"}]};