/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
import { Session, IHandlerParameters } from '@zowe/imperative';
import { IRestApiResponse } from '../../../api/doc/IRestApiResponse';
import { RestBaseHandler } from '../../RestBaseHandler';
export default class JobHandler extends RestBaseHandler {
    processWithSession(commandParameters: IHandlerParameters, session: Session): Promise<IRestApiResponse>;
}
