/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";Object.defineProperty(exports,"__esModule",{value:!0}),exports.SetDefinition=void 0;const strings=require("../../-strings-/en").default.COMMONPROPS.ACTIONS.SET;exports.SetDefinition={name:"set",aliases:[],summary:strings.SUMMARY,description:strings.DESCRIPTION,type:"command",handler:__dirname+"/Set.handler",positionals:[{name:"namespaceName",type:"string",description:strings.POSITIONALS.NAMESPACENAME,required:!0},{name:"propertyPath",type:"string",description:strings.POSITIONALS.PROPERTY_PATH,required:!0},{name:"propertyValue",type:"string",description:strings.POSITIONALS.PROPERTY_VALUE,required:!0}],options:[{name:"private",aliases:[],description:strings.OPTIONS.PRIVATE,type:"boolean",defaultValue:!1},{name:"value-type",aliases:["type"],description:strings.OPTIONS.TYPE,type:"string",defaultValue:"string"}],profile:{required:["rse"]},examples:[{description:strings.EXAMPLES.EX1,options:"my-namespace /server/hostname www.host.com "},{description:strings.EXAMPLES.EX2,options:"my-namespace /server/port 1234 --type number"},{description:strings.EXAMPLES.EX3,options:'my-namespace /server \'{"hostname" : "www.host.com", "port" : 1234}\' --type json'}]};