/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";Object.defineProperty(exports,"__esModule",{value:!0}),exports.DownloadOptions=void 0;const strings=require("../-strings-/en").default.DOWNLOAD.OPTIONS,maxConcurrentRequestsMaxValue=99999;exports.DownloadOptions={volume:{name:"volume-serial",aliases:["vs"],description:strings.VOLUME,type:"string"},binary:{name:"binary",aliases:["b"],description:strings.BINARY,type:"boolean"},file:{name:"file",aliases:["f"],description:strings.FILE,type:"string"},encoding:{name:"encoding",aliases:["ec"],description:strings.ENCODING,type:"string"},extension:{name:"extension",aliases:["e"],description:strings.EXTENSION,type:"stringOrEmpty"},directory:{name:"directory",aliases:["d"],description:strings.DIRECTORY,type:"string"},excludePattern:{name:"exclude-patterns",aliases:["ep"],description:strings.EXCLUDE_PATTERN,type:"string"},extensionMap:{name:"extension-map",aliases:["em"],description:strings.EXTENSION_MAP,type:"string",conflictsWith:["extension"]},maxConcurrentRequests:{name:"max-concurrent-requests",aliases:["mcr"],description:strings.MAX_CONCURRENT_REQUESTS,type:"number",defaultValue:1,numericValueRange:[0,99999]},mappingsFile:{name:"mappings-file",aliases:["maps"],description:strings.MAPPINGSFILE,type:"string"}};