/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __awaiter=this&&this.__awaiter||function(e,s,t,n){return new(t||(t=Promise))((function(r,o){function a(e){try{l(n.next(e))}catch(e){o(e)}}function i(e){try{l(n.throw(e))}catch(e){o(e)}}function l(e){var s;e.done?r(e.value):(s=e.value,s instanceof t?s:new t((function(e){e(s)}))).then(a,i)}l((n=n.apply(e,s||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0});const imperative_1=require("@zowe/imperative"),constants_1=require("../../../../api/constants"),download_1=require("../../../../api/methods/download"),RestBaseHandler_1=require("../../../RestBaseHandler");class AllMembersHandler extends RestBaseHandler_1.RestBaseHandler{processWithSession(e,s,t){return __awaiter(this,void 0,void 0,(function*(){const n={statusMessage:constants_1.ZosApiMessages.downloadAllMembers.message,percentComplete:0,stageName:imperative_1.TaskStage.IN_PROGRESS};e.response.progress.startBar({task:n});const r=yield download_1.Download.allMembers(s,e.arguments.dataSetName,t,{volume:e.arguments.volumeSerial,directory:e.arguments.directory,encoding:e.arguments.encoding,binary:e.arguments.binary,extension:e.arguments.extension,task:n},e.arguments.mappingsFile);if(r.success||r.apiResponse.results){if(r.apiResponse.results){let s=0,t=0,n=0;r.apiResponse.results.forEach((r=>{if(!0===r.success){const s=imperative_1.TextUtils.prettyJson(r);e.response.console.log(s),t++}else if(!1===r.success){const s=imperative_1.TextUtils.prettyJson(r);e.response.console.error(imperative_1.TextUtils.chalk.red(s)),n++}else s++})),e.response.console.log(imperative_1.TextUtils.prettyJson({file_to_download:r.apiResponse.length,success:t,error:n,skipped:s}))}}else e.response.console.log(r.commandResponse),e.response.console.log(imperative_1.TextUtils.chalk.red(r.apiResponse));return r}))}}exports.default=AllMembersHandler;