/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";Object.defineProperty(exports,"__esModule",{value:!0}),exports.SpoolToDatasetDefinition=void 0;const strings=require("../../-strings-/en").default.EXPORT.ACTIONS.JOBSPOOL_TO_DATASET;exports.SpoolToDatasetDefinition={name:"spool-file",aliases:["spool","sf"],summary:strings.DESCRIPTION,description:strings.DESCRIPTION,type:"command",handler:__dirname+"/SpoolToDataset.handler",positionals:[{name:"jobName",description:strings.POSITIONALS.JOBNAME,type:"string",required:!0},{name:"jobId",description:strings.POSITIONALS.JOBID,type:"string",required:!0},{name:"spoolFileId",description:strings.POSITIONALS.SPOOLID,type:"number",required:!0},{name:"toDataSetName",description:strings.POSITIONALS.TODATASETNAME,type:"string",required:!0}],examples:[{description:strings.EXAMPLES.EX1,options:'JOBNAME JOBID SPOOLID "USER.TO.SET"'},{description:strings.EXAMPLES.EX2,options:'JOBNAME JOBID SPOOLID "USER.TO.PDS(MEM1)"'}],profile:{required:["rse"]}};