/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";Object.defineProperty(exports,"__esModule",{value:!0}),exports.UnixShellDefinition=void 0;const strings=require("../../-strings-/en").default.ISSUE.ACTIONS.UNIXSHELL;exports.UnixShellDefinition={name:"unix-shell",aliases:["unix-streaming","uss-shell"],summary:strings.SUMMARY,description:strings.DESCRIPTION,type:"command",handler:__dirname+"/UnixShell.handler",positionals:[{name:"commandText",description:strings.POSITIONALS.COMMANDTEXT,type:"string",required:!0}],options:[{name:"cwd",description:strings.OPTIONS.CWD,type:"string",required:!0},{name:"env",description:strings.OPTIONS.ENV,type:"string",required:!1}],examples:[{description:strings.EXAMPLES.EX1,options:"'cat $logfile' --cwd '/u/ibmuser' --env 'logfile=output.log'"}],profile:{required:["rse"]}};