/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __awaiter=this&&this.__awaiter||function(e,s,t,a){return new(t||(t=Promise))((function(n,r){function i(e){try{u(a.next(e))}catch(e){r(e)}}function o(e){try{u(a.throw(e))}catch(e){r(e)}}function u(e){var s;e.done?n(e.value):(s=e.value,s instanceof t?s:new t((function(e){e(s)}))).then(i,o)}u((a=a.apply(e,s||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0});const imperative_1=require("@zowe/imperative"),methods_1=require("../../../api/methods"),RestBaseHandler_1=require("../../RestBaseHandler"),api_1=require("../../../api"),constants_1=require("../../../api/constants"),utils_1=require("../../../api/utils");class UnixShellHandler extends RestBaseHandler_1.RestBaseHandler{handleStdout(e){this.parameters.response.console.log(Buffer.from(e))}processWithSession(e,s){return __awaiter(this,void 0,void 0,(function*(){this.parameters=e;const t={percentComplete:0,statusMessage:api_1.ZosApiMessages.issueUNIXCommand.message,stageName:imperative_1.TaskStage.IN_PROGRESS};e.response.progress.startBar({task:t}),yield(0,utils_1.apiVersionCheck)(s,constants_1.RseApiVersionConstants.V105),e.response.progress.endBar();try{const t=yield methods_1.IssueCommand.unixShellCommand(s,e.arguments.commandText,e.arguments.cwd,e.arguments.env,this.handleStdout.bind(this));return e.response.data.setExitCode(t.apiResponse["exit code"]),t}catch(e){throw e}}))}}exports.default=UnixShellHandler;