/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
import { imperative } from '@zowe/cli';
import { RestBaseHandler } from '../../../RestBaseHandler';
import { IRestApiResponse } from '../../../../api/doc/IRestApiResponse';
export default class AllMembersHandler extends RestBaseHandler {
    processWithSession(params: imperative.IHandlerParameters, session: imperative.Session, profile: imperative.IProfile): Promise<IRestApiResponse>;
}
