/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
import { IHandlerParameters, IProfile, Session } from '@zowe/imperative';
import { RestBaseHandler } from '../../RestBaseHandler';
import { IRestApiResponse } from '../../../api';
export default class SearchUssFilesHandler extends RestBaseHandler {
    processWithSession(params: IHandlerParameters, session: Session, profile: IProfile): Promise<IRestApiResponse>;
}
