/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";Object.defineProperty(exports,"__esModule",{value:!0}),exports.UploadOptions=void 0;const strings=require("../-strings-/en").default.UPLOAD.OPTIONS,maxConcurrentRequestsMaxValue=99999;exports.UploadOptions={volume:{name:"volume-serial",aliases:["vs"],description:strings.VOLUME,type:"string"},binary:{name:"binary",aliases:["b"],description:strings.BINARY,type:"boolean"},recall:{name:"migrated-recall",aliases:["mr"],description:strings.RECALL,type:"string",defaultValue:"nowait"},recursive:{name:"recursive",aliases:["r"],description:strings.RECURSIVE,type:"boolean"},binaryFiles:{name:"binary-files",aliases:["bf"],description:strings.BINARY_FILES,type:"string",conflictsWith:["ascii-files"]},asciiFiles:{name:"ascii-files",aliases:["af"],description:strings.ASCII_FILES,type:"string",conflictsWith:["binary-files"]},attributes:{name:"attributes",aliases:["attrs"],description:strings.ATTRIBUTES,type:"string",conflictsWith:["ascii-files, binary-files"]},maxConcurrentRequests:{name:"max-concurrent-requests",aliases:["mcr"],description:strings.MAX_CONCURRENT_REQUESTS,type:"number",defaultValue:1,numericValueRange:[0,99999]},encoding:{name:"encoding",aliases:["ec"],description:strings.ENCODING,type:"string"},mappingsFile:{name:"mappings-file",aliases:["maps"],description:strings.MAPPINGSFILE,type:"string"}};