/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
import { Session, IHandlerParameters, IProfile } from '@zowe/imperative';
import { IRestApiResponse } from '../../../api/doc/IRestApiResponse';
import { RestBaseHandler } from '../../RestBaseHandler';
/**
 * Handler to upload content from a file to a data set
 * @export
 */
export default class FileToDataSetHandler extends RestBaseHandler {
    processWithSession(commandParameters: IHandlerParameters, session: Session, profile: IProfile): Promise<IRestApiResponse>;
}
