/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
import { IHeaderContent, imperative } from '@zowe/cli';
import { IUploadRseOptions } from '../methods/upload/doc/IUploadRseOptions';
/**
 * Class to contain default headers
 * @export
 * @class Headers
 */
export declare class RseHeaders {
    /**
     * convert header
     * @static
     * @memberof RseHeaders
     */
    static readonly CONVERT = "convert";
    static setMvsHeaders(session: imperative.Session, options?: IUploadRseOptions, streaming?: boolean): IHeaderContent[];
    static setUnixFileHeaders(session: imperative.Session, options?: IUploadRseOptions, streaming?: boolean): IHeaderContent[];
    private static getSimilarHeaders;
}
