/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __awaiter=this&&this.__awaiter||function(t,e,i,s){return new(i||(i=Promise))((function(n,r){function o(t){try{c(s.next(t))}catch(t){r(t)}}function a(t){try{c(s.throw(t))}catch(t){r(t)}}function c(t){var e;t.done?n(t.value):(e=t.value,e instanceof i?e:new i((function(t){t(e)}))).then(o,a)}c((s=s.apply(t,e||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.CheckExpiry=void 0;const cli_1=require("@zowe/cli"),Utilities_1=require("../utilities/Utilities"),constants_1=require("../../constants"),CoreUtils_1=require("../../utils/CoreUtils"),RseRestClient_1=require("../../rest/RseRestClient");class CheckExpiry{static getExpiry(t){return __awaiter(this,void 0,void 0,(function*(){Utilities_1.Utilities.log.trace("AuthLogin.getToken called."),cli_1.imperative.ImperativeExpect.toNotBeNullOrUndefined(t,constants_1.ZosFilesMessages.missingSession.message),yield(0,CoreUtils_1.apiVersionCheck)(t,constants_1.RseApiVersionConstants.V112);const e=(0,CoreUtils_1.setHeaders)(t);e.push({"Pass-Expiration":"true"});try{const i=(0,CoreUtils_1.endpointBuilder)(t,`${constants_1.ZosRestApiConstants.RESOURCE}${constants_1.ZosRestApiConstants.AUTHLOGIN}`),s={userid:t.ISession.user,password:t.ISession.password};Utilities_1.Utilities.log.debug(`Endpoint: ${i}`);const n=yield RseRestClient_1.RseRestClient.postExpectAuthToken(t,i,s,e);return String(n.passwordExpiry)}catch(t){throw Utilities_1.Utilities.log.error(String(t)),t}}))}}exports.CheckExpiry=CheckExpiry;