/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __awaiter=this&&this.__awaiter||function(e,t,s,o){return new(s||(s=Promise))((function(n,i){function a(e){try{p(o.next(e))}catch(e){i(e)}}function r(e){try{p(o.throw(e))}catch(e){i(e)}}function p(e){var t;e.done?n(e.value):(t=e.value,t instanceof s?t:new s((function(e){e(t)}))).then(a,r)}p((o=o.apply(e,t||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.Export=void 0;const imperative_1=require("@zowe/imperative"),path_1=require("path"),rest_1=require("../../rest"),constants_1=require("../../constants"),utils_1=require("../../utils");class Export{static spoolFileToDataset(e,t,s,o,{dsn:n,member:i}){return __awaiter(this,void 0,void 0,(function*(){this.log.trace("Copy.spoolfiletoDataset called."),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(e,constants_1.ZosFilesMessages.missingSession.message),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(t,constants_1.ZosFilesMessages.missingJobName.message),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(s,constants_1.ZosFilesMessages.missingJobId.message),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(o,constants_1.ZosFilesMessages.missingSpoolFileId.message),imperative_1.ImperativeExpect.toNotBeNullOrUndefined(n,constants_1.ZosFilesMessages.missingToDatasetName.message),yield(0,utils_1.apiVersionCheck)(e,constants_1.RseApiVersionConstants.V108);let a=(0,utils_1.endpointBuilder)(e,path_1.posix.join(constants_1.ZosRestApiConstants.RESOURCE,constants_1.ZosRestApiConstants.SPOOLTODATASET));void 0!==t&&void 0!==s&&void 0!==o&&void 0!==n&&(void 0!==i?(a=path_1.posix.join(a,"/",(0,utils_1.rsePathEncode)(`${t.toUpperCase()}`),"/",(0,utils_1.rsePathEncode)(`${s.toUpperCase()}`),constants_1.ZosRestApiConstants.SPOOLFILE,(0,utils_1.rsePathEncode)(`${o}`),constants_1.ZosRestApiConstants.EXPORT,"/"),a+=encodeURIComponent(`${n}(${i})`)):(a=path_1.posix.join(a,"/",(0,utils_1.rsePathEncode)(`${t.toUpperCase()}`),"/",(0,utils_1.rsePathEncode)(`${s.toUpperCase()}`),constants_1.ZosRestApiConstants.SPOOLFILE,(0,utils_1.rsePathEncode)(`${o}`),constants_1.ZosRestApiConstants.EXPORT,"/"),a+=encodeURIComponent(`${n}`))),this.log.debug(`Endpoint: ${a}`);const r=(0,utils_1.setHeaders)(e);try{const t=yield rest_1.RseRestClient.postExpectJSON(e,a,r);return{success:!0,commandResponse:constants_1.ZosFilesMessages.spoolExportedToDataset.message,apiResponse:t}}catch(e){const t=e;throw this.log.error(t.toString()),e}}))}static get log(){return imperative_1.Logger.getAppLogger()}}exports.Export=Export;