/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
import { imperative } from '@zowe/cli';
import { IRestApiResponse } from '../../doc/IRestApiResponse';
import { IDownloadRseOptions } from '../download/doc';
export declare class HeadApis {
    private static response;
    static mvsFileHeaders(session: imperative.Session, fileName: string, options: IDownloadRseOptions): Promise<IRestApiResponse>;
    static unixFileHeader(session: imperative.Session, fileName: string): Promise<IRestApiResponse>;
    private static headRequest;
}
