/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
import * as zowe from '@zowe/cli';
import { IRestApiResponse } from '../../doc/IRestApiResponse';
export declare class ClassificationScan {
    static scanResource(session: zowe.imperative.Session, resourcePath: string, hostEncoding?: string): Promise<IRestApiResponse>;
    static scanContent(session: zowe.imperative.Session, content: string): Promise<IRestApiResponse>;
    static scanContainer(session: zowe.imperative.Session, containerPath: string, resultsHandler: (data: string) => void, hostEncoding?: string, filenameFilter?: string): Promise<IRestApiResponse>;
}
