/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __awaiter=this&&this.__awaiter||function(e,t,n,s){return new(n||(n=Promise))((function(i,o){function a(e){try{c(s.next(e))}catch(e){o(e)}}function r(e){try{c(s.throw(e))}catch(e){o(e)}}function c(e){var t;e.done?i(e.value):(t=e.value,t instanceof n?t:new n((function(e){e(t)}))).then(a,r)}c((s=s.apply(e,t||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0}),exports.Search=void 0;const imperative_1=require("@zowe/imperative"),path_1=require("path"),constants_1=require("../../constants"),utils_1=require("../../utils"),rest_1=require("../../rest");class Search{static uss(e,t,n="*",s){return __awaiter(this,void 0,void 0,(function*(){Search.log.trace("Search.uss called."),yield(0,utils_1.apiVersionCheck)(e,constants_1.RseApiVersionConstants.V101);const i=(0,utils_1.rsePathEncode)(`/${t}`),o=encodeURIComponent(n).replace("*","%2A");let a=(0,utils_1.endpointBuilder)(e,path_1.posix.join(constants_1.ZosRestApiConstants.RESOURCE,constants_1.ZosRestApiConstants.USS_FILES,constants_1.ZosRestApiConstants.SEARCH,constants_1.ZosRestApiConstants.FILES));a+=(null==s?void 0:s.text)?`?path=${i}&filename=${o}&text=${encodeURIComponent(s.text).replace("*","%2A")}`:`?path=${i}&filename=${o}`,Search.log.debug(`Running RSE call ${a}`);const r=(0,utils_1.setHeaders)(e);r.push({"Regex-Filename":(null==s?void 0:s.regexFileName)?"true":"false"}),r.push({"Regex-Content":(null==s?void 0:s.regexContent)?"true":"false"}),r.push({"Case-Sensitive-Filename":(null==s?void 0:s.caseSensitiveFileName)?"true":"false"}),r.push({"Case-Sensitive-Content":(null==s?void 0:s.caseSensitiveContent)?"true":"false"});try{let t;const n=yield rest_1.RseRestClient.getExpectJSON(e,a,r);return n?(!(null==s?void 0:s.pathResultsOnly)&&(null==s?void 0:s.text)||(t=n.found.reduce(((e,t)=>(e.push(t.path),e)),[])),{success:!0,commandResponse:null,apiResponse:t||n}):{success:!0,commandResponse:null,apiResponse:{}}}catch(e){if(e instanceof Error)throw Search.log.error(e.toString()),e}}))}static get log(){return imperative_1.Logger.getAppLogger()}}exports.Search=Search;