/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
export type UssMatchInfo = {
    endOffset: string;
    startOffset: string;
    line: string;
    text: string;
};
export type SearchUssMatch = {
    path: string;
    matches: UssMatchInfo[];
};
export type SearchUssResponse = {
    found: SearchUssMatch[];
};
