/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __awaiter=this&&this.__awaiter||function(e,s,t,i){return new(t||(t=Promise))((function(n,o){function r(e){try{l(i.next(e))}catch(e){o(e)}}function a(e){try{l(i.throw(e))}catch(e){o(e)}}function l(e){var s;e.done?n(e.value):(s=e.value,s instanceof t?s:new t((function(e){e(s)}))).then(r,a)}l((i=i.apply(e,s||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0});const imperative_1=require("@zowe/imperative"),RestBaseHandler_1=require("../../RestBaseHandler"),Login_1=require("../../../api/methods/auth/login/Login"),ProfileUtils_1=require("../../../api/profiles/ProfileUtils"),ZosApi_messages_1=require("../../../api/constants/ZosApi.messages");class RefreshTokenHandler extends RestBaseHandler_1.RestBaseHandler{processWithSession(e,s,t){return __awaiter(this,void 0,void 0,(function*(){const i={percentComplete:0,statusMessage:ZosApi_messages_1.ZosApiMessages.jwtTokenGettingToken.message,stageName:imperative_1.TaskStage.IN_PROGRESS};e.response.progress.startBar({task:i});const n=yield ProfileUtils_1.ProfileUtils.getProfileName(e),o=yield Login_1.AuthLogin.refreshToken(s,n,t,!1),r=yield Login_1.AuthLogin.validateToken(o);return e.response.data.setObj(o),e.response.format.output({output:r,format:"object"}),{success:!0,commandResponse:null,apiResponse:r}}))}}exports.default=RefreshTokenHandler;