/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __awaiter=this&&this.__awaiter||function(e,s,a,r){return new(a||(a=Promise))((function(n,t){function o(e){try{l(r.next(e))}catch(e){t(e)}}function i(e){try{l(r.throw(e))}catch(e){t(e)}}function l(e){var s;e.done?n(e.value):(s=e.value,s instanceof a?s:new a((function(e){e(s)}))).then(o,i)}l((r=r.apply(e,s||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0});const cli_1=require("@zowe/cli"),RestBaseHandler_1=require("../../RestBaseHandler"),change_1=require("../../../api/methods/change"),ProfileUtils_1=require("../../../api/profiles/ProfileUtils"),api_1=require("../../../api");class PasswordHandler extends RestBaseHandler_1.RestBaseHandler{processWithSession(e,s,a){return __awaiter(this,void 0,void 0,(function*(){const r={percentComplete:0,statusMessage:api_1.ZosApiMessages.changingPassword.message,stageName:cli_1.imperative.TaskStage.IN_PROGRESS},n=yield change_1.ChangePassword.promptsChangePassword(s,e);s.ISession.tokenType&&s.ISession.tokenValue&&(s.ISession.tokenType=void 0,s.ISession.tokenValue=void 0),s.ISession.user=n.currentUser,s.ISession.password=n.currentPassword,e.response.progress.startBar({task:r});const t=yield ProfileUtils_1.ProfileUtils.getProfileName(e),o=yield change_1.ChangePassword.setNewPassword(s,a,n.newPassword,t),i=`Successfully changed password for profile "${t}".`;return null===o.apiResponse&&e.response.console.log(i),e.response.data.setObj(o.apiResponse),e.response.data.setMessage(i),o}))}}exports.default=PasswordHandler;