/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
import { imperative } from '@zowe/cli';
import { IRestApiResponse } from '../../../api/doc/IRestApiResponse';
import { RestBaseHandler } from '../../RestBaseHandler';
export default class PropertiesHandler extends RestBaseHandler {
    processWithSession(commandParameters: imperative.IHandlerParameters, session: imperative.Session): Promise<IRestApiResponse>;
}
