/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __awaiter=this&&this.__awaiter||function(e,s,a,t){return new(a||(a=Promise))((function(n,i){function r(e){try{p(t.next(e))}catch(e){i(e)}}function o(e){try{p(t.throw(e))}catch(e){i(e)}}function p(e){var s;e.done?n(e.value):(s=e.value,s instanceof a?s:new a((function(e){e(s)}))).then(r,o)}p((t=t.apply(e,s||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0});const imperative_1=require("@zowe/imperative"),RestBaseHandler_1=require("../../RestBaseHandler"),CheckAddressSpace_1=require("../../../api/methods/check/CheckAddressSpace"),constants_1=require("../../../api/constants");class JobHandler extends RestBaseHandler_1.RestBaseHandler{processWithSession(e,s){return __awaiter(this,void 0,void 0,(function*(){const a={percentComplete:0,statusMessage:constants_1.ZosApiMessages.getJobsInfo.message,stageName:imperative_1.TaskStage.IN_PROGRESS};e.response.progress.startBar({task:a});const t=yield CheckAddressSpace_1.CheckAddressSpace.getJobsInfo(s,e.arguments),n=t.apiResponse.map((e=>({asid:e.asid,swapin:e.swapin,cpu:e.all_cpu?e.all_cpu:e["all cpu"],asidx:e.asidx,page:e.page_rate?e.page_rate:e["page rate"],userId:e.user_id?e.user_id:e["user id"],io:e.io_rate?e.io_rate:e["io rate"],type:e.type,dp:e.dp,"cpu%":e["all_cpu%"]?e["all_cpu%"]:e["all cpu%"],name:e.job_name?e.job_name:e["job name"],bytes:e.real_in_bytes?e.real_in_bytes:e["real in bytes"],elapsed:e.elapsed,hvcomused:e.hvcomused,"task%":e["task_cpu%"]?e["task_cpu%"]:e["task cpu%"],hvcomhwm:e.hvcomhwm,task:e.cpu_task?e.cpu_task:e["cpu task"],frames:e.real_in_frames?e.real_in_frames:e["real in frames"],subtype:e.subtype,sysName:e.system_name?e.system_name:e["system name"],position:e.position,stepIO:e.step_io?e.step_io:e["step io"],description:e.position_description?e.position_description:e["position description"]})));return e.response.format.output({output:n,format:"table",header:!0}),{success:!0,commandResponse:null,apiResponse:t}}))}}exports.default=JobHandler;