/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";Object.defineProperty(exports,"__esModule",{value:!0}),exports.DsDefinition=void 0;const Create_options_1=require("../Create.options"),strings=require("../../-strings-/en").default.CREATE;exports.DsDefinition={name:"data-set",aliases:["ds"],description:strings.ACTIONS.DATA_SET.DESCRIPTION,type:"command",handler:__dirname+"/Ds.handler",profile:{optional:["rse"]},positionals:[{name:"dataSetName",type:"string",description:strings.POSITIONALS.DATASETNAME,required:!0}],options:[Create_options_1.ZosFilesCreateOptions.volumeSerial,Create_options_1.ZosFilesCreateOptions.primary,Create_options_1.ZosFilesCreateOptions.secondary,Create_options_1.ZosFilesCreateOptions.allocationUnit,Create_options_1.ZosFilesCreateOptions.directoryBlocks,Create_options_1.ZosFilesCreateOptions.recordFormat,Create_options_1.ZosFilesCreateOptions.blockSize,Create_options_1.ZosFilesCreateOptions.recordLength,Create_options_1.ZosFilesCreateOptions.averageBlock,Create_options_1.ZosFilesCreateOptions.unit,Create_options_1.ZosFilesCreateExtraOptions.showAttributes,Create_options_1.ZosFilesCreateExtraOptions.like].sort(((e,t)=>e.name.localeCompare(t.name))),examples:[{description:strings.ACTIONS.DATA_SET.EXAMPLES.EX1,options:"NEW.DATASET --like EXISTING.DATASET"},{description:strings.ACTIONS.DATA_SET.EXAMPLES.EX2,options:"NEW.DATASET --like EXISTING.DATASET --lrecl 1024"}]};