/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __awaiter=this&&this.__awaiter||function(e,s,t,n){return new(t||(t=Promise))((function(a,o){function r(e){try{l(n.next(e))}catch(e){o(e)}}function i(e){try{l(n.throw(e))}catch(e){o(e)}}function l(e){var s;e.done?a(e.value):(s=e.value,s instanceof t?s:new t((function(e){e(s)}))).then(r,i)}l((n=n.apply(e,s||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0});const imperative_1=require("@zowe/imperative"),constants_1=require("../../../../api/constants"),download_1=require("../../../../api/methods/download"),RestBaseHandler_1=require("../../../RestBaseHandler");class DatasetHandler extends RestBaseHandler_1.RestBaseHandler{processWithSession(e,s,t){var n,a;return __awaiter(this,void 0,void 0,(function*(){const o={percentComplete:0,statusMessage:constants_1.ZosApiMessages.downloadDataSet.message,stageName:imperative_1.TaskStage.IN_PROGRESS};e.response.progress.startBar({task:o});const r=yield download_1.Download.dataSet(s,e.arguments.dataSetName,t,{volume:e.arguments.volumeSerial,encoding:e.arguments.encoding,binary:e.arguments.binary,file:e.arguments.file,extension:e.arguments.extension,task:o},e.arguments.mappingsFile);if(null===(n=r.apiResponse)||void 0===n?void 0:n.results){let s=0,t=0,n=0;r.apiResponse.results.forEach((a=>{if(!0===a.success){const s=imperative_1.TextUtils.prettyJson(a);e.response.console.log(s),t++}else if(!1===a.success){const s=imperative_1.TextUtils.prettyJson(a);e.response.console.error(imperative_1.TextUtils.chalk.red(s)),n++}else s++})),e.response.console.log(imperative_1.TextUtils.prettyJson({file_to_download:null===(a=r.apiResponse)||void 0===a?void 0:a.results.length,success:t,error:n,skipped:s}))}return r}))}}exports.default=DatasetHandler;