/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
/// <reference types="node" />
import { Session, IHandlerParameters } from '@zowe/imperative';
import { IRestApiResponse } from '../../../api/doc/IRestApiResponse';
import { RestBaseHandler } from '../../RestBaseHandler';
export default class UnixShellHandler extends RestBaseHandler {
    private parameters;
    handleStdout(data: Buffer | string): void;
    processWithSession(commandParameters: IHandlerParameters, session: Session): Promise<IRestApiResponse>;
}
