/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __awaiter=this&&this.__awaiter||function(e,s,t,r){return new(t||(t=Promise))((function(n,i){function a(e){try{l(r.next(e))}catch(e){i(e)}}function o(e){try{l(r.throw(e))}catch(e){i(e)}}function l(e){var s;e.done?n(e.value):(s=e.value,s instanceof t?s:new t((function(e){e(s)}))).then(a,o)}l((r=r.apply(e,s||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0});const cli_1=require("@zowe/cli"),imperative_1=require("@zowe/imperative"),List_1=require("../../../../api/methods/list/List"),RestBaseHandler_1=require("../../../RestBaseHandler"),constants_1=require("../../../../api/constants"),CoreUtils_1=require("../../../../api/utils/CoreUtils"),constants_2=require("../../../../api/constants");class AllMembersHandler extends RestBaseHandler_1.RestBaseHandler{processWithSession(e,s,t){return __awaiter(this,void 0,void 0,(function*(){cli_1.imperative.Logger.getAppLogger().debug("AllMembersHandler.processWithSession called.");const t={statusMessage:constants_1.ZosApiMessages.listAllMembers.message,percentComplete:0,stageName:cli_1.imperative.TaskStage.IN_PROGRESS};e.response.progress.startBar({task:t});const r=yield List_1.List.allMembers(s,e.arguments.dataSetName,{pattern:e.arguments.pattern,attributes:e.arguments.attributes});if(r.commandResponse)return e.response.console.error(r.commandResponse),r;if(e.arguments.attributes&&(!e.arguments.pattern||e.arguments.pattern.includes("*")))try{yield(0,CoreUtils_1.apiVersionCheck)(s,constants_2.RseApiVersionConstants.V113)}catch(s){return e.response.console.error(String(s)),r}const n=(0,CoreUtils_1.translateMemberAttributes)(r);if(n.apiResponse.items&&n.apiResponse.items.length>0)if(e.arguments.attributes)e.response.console.log(imperative_1.TextUtils.prettyJson(n.apiResponse.items));else{const s=n.apiResponse.items.map((e=>e.member));e.response.console.log(s.join("\n"))}else e.response.console.log("No members found.");return r}))}}exports.default=AllMembersHandler;