/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";Object.defineProperty(exports,"__esModule",{value:!0}),exports.SearchUssFilesDefinition=void 0;const strings=require("../../-strings-/en").default.SEARCH.ACTIONS.USS;exports.SearchUssFilesDefinition={name:"uss-file",aliases:["uss"],type:"command",summary:strings.SUMMARY,description:strings.DESCRIPTION,handler:__dirname+"/SearchUss.handler",positionals:[{name:"path",description:strings.POSITIONALS.PATH,type:"string",required:!0},{name:"fileName",description:strings.POSITIONALS.FILENAME,type:"string",required:!1}],options:[{name:"text",description:strings.OPTIONS.TEXT,type:"string",aliases:["t"]},{name:"regex-file-name",description:strings.OPTIONS.REGEX_FILENAME,type:"boolean",defaultValue:!1,aliases:["rfn"]},{name:"regex-content",description:strings.OPTIONS.REGEX_CONTENT,type:"boolean",defaultValue:!1,aliases:["rc"]},{name:"case-sensitive-fileName",description:strings.OPTIONS.CASE_SENSITIVE_FILENAME,type:"boolean",defaultValue:!1,aliases:["csfn"]},{name:"case-sensitive-content",description:strings.OPTIONS.CASE_SENSITIVE_CONTENT,type:"boolean",defaultValue:!1,aliases:["csc"]},{name:"path-results-only",description:strings.OPTIONS.PATH_RESULTS_ONLY,type:"boolean",defaultValue:!1,aliases:["pro"]}],examples:[{description:strings.EXAMPLES.EX1,options:'"/u/ibmuser/" "*.txt"'}],profile:{required:["rse"]}};