/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __awaiter=this&&this.__awaiter||function(e,s,t,n){return new(t||(t=Promise))((function(a,r){function i(e){try{l(n.next(e))}catch(e){r(e)}}function o(e){try{l(n.throw(e))}catch(e){r(e)}}function l(e){var s;e.done?a(e.value):(s=e.value,s instanceof t?s:new t((function(e){e(s)}))).then(i,o)}l((n=n.apply(e,s||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0});const imperative_1=require("@zowe/imperative"),RestBaseHandler_1=require("../../RestBaseHandler"),api_1=require("../../../api"),search_1=require("../../../api/methods/search");class SearchUssFilesHandler extends RestBaseHandler_1.RestBaseHandler{processWithSession(e,s,t){var n;return __awaiter(this,void 0,void 0,(function*(){const t={statusMessage:api_1.ZosApiMessages.searchUss.message,percentComplete:imperative_1.TaskProgress.ZERO_PERCENT,stageName:imperative_1.TaskStage.IN_PROGRESS};e.response.progress.startBar({task:t}),imperative_1.Logger.getAppLogger().debug("SearchUssHandler.processWithSession called.");const a=yield search_1.Search.uss(s,e.arguments.path,e.arguments.fileName,{text:e.arguments.text,regexFileName:e.arguments["regex-file-name"],regexContent:e.arguments["regex-content"],caseSensitiveFileName:e.arguments["case-sensitive-file-name"],caseSensitiveContent:e.arguments["case-sensitive-content"],pathResultsOnly:e.arguments["path-results-only"]});e.response.data.setObj(a.apiResponse);const r=imperative_1.TextUtils.chalk;if(Object.keys(a.apiResponse).length)if(e.arguments["path-results-only"]||!e.arguments.text){const s=a.apiResponse;let t=r.green(`Found ${s.length} results for search:\n`);s.forEach((e=>{t+=r.dim(`    - ${e}\n`)})),e.response.console.log(t)}else{const s=a.apiResponse;let t=r.green(`\nFound ${s.found.length} results for search:\n`);s.found.forEach((e=>{t+=r.inverse(`\n${e.path} -- ${e.matches.length} matches:\n`),e.matches.forEach(((e,s)=>{t+=r.white(`\n${s+1}) "${e.text}"\n`),t+=r.dim(`   Line: ${e.line} -- Start Offset: ${e.startOffset} -- End Offset: ${e.endOffset}\n`)}))})),e.response.console.log(t)}else e.response.console.log(r.red(`No results found for search ${null!==(n=e.arguments.fileName)&&void 0!==n?n:"*"} in ${e.arguments.path}`));return a}))}}exports.default=SearchUssFilesHandler;