/*
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2020, 2024. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *
 */
"use strict";var __awaiter=this&&this.__awaiter||function(e,t,s,a){return new(s||(s=Promise))((function(o,r){function n(e){try{u(a.next(e))}catch(e){r(e)}}function i(e){try{u(a.throw(e))}catch(e){r(e)}}function u(e){var t;e.done?o(e.value):(t=e.value,t instanceof s?t:new s((function(e){e(t)}))).then(n,i)}u((a=a.apply(e,t||[])).next())}))};Object.defineProperty(exports,"__esModule",{value:!0});const imperative_1=require("@zowe/imperative"),GetJobs_1=require("../../../api/methods/list/GetJobs"),RestBaseHandler_1=require("../../RestBaseHandler"),constants_1=require("../../../api/constants");class JobStatusByJobidHandler extends RestBaseHandler_1.RestBaseHandler{processWithSession(e,t){return __awaiter(this,void 0,void 0,(function*(){const s={statusMessage:constants_1.ZosApiMessages.viewStatus.message,percentComplete:0,stageName:imperative_1.TaskStage.IN_PROGRESS};e.response.progress.startBar({task:s});const a=null!=e.arguments.attributes&&e.arguments.attributes,o=yield GetJobs_1.GetJobs.getJob(t,e.arguments.jobid,a),r={jobid:o.jobId,retcode:o.returnCode,jobname:o.jobName,status:o.status,subsystem:o.subsystem,type:o.type,class:o.executionClass,execsystem:o.execSystem,execmember:o.execMember,systementrydatetime:o.systemEntryDateTime,"phase-name":o.phaseName,owner:o.owner,sysoutclass:o.sysoutClass,outputnode:o.outputNode,execnode:o.execNode,device:o.device,priority:o.priority,jobkey:o.jobKey,datatoken:o.dataToken,spooltracks:o.spoolTracks,seclabel:o.secLabel,flagbyte:o.flagByte,programmer:o.programmer,position:o.position,asid:o.asID,phase:o.phase};return e.response.data.setObj(r),e.response.data.setMessage(`Details obtained for job ${e.arguments.jobid}`),a?e.response.format.output({fields:["jobid","retcode","jobname","status","execsystem","execmember","systementrydatetime","owner","class","subsystem","sysoutclass","outputnode","execnode","device","priority","jobkey","datatoken","spooltracks","seclabel","flagbyte","programmer","position","asid","phase"],output:r,format:"object"}):e.response.format.output({fields:["jobid","retcode","jobname","status","execsystem","execmember","systementrydatetime"],output:r,format:"object"}),{success:!0,commandResponse:null,apiResponse:r}}))}}exports.default=JobStatusByJobidHandler;